summaryrefslogtreecommitdiffstats
path: root/TOOLS/appveyor-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'TOOLS/appveyor-build.sh')
-rwxr-xr-xTOOLS/appveyor-build.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/TOOLS/appveyor-build.sh b/TOOLS/appveyor-build.sh
new file mode 100755
index 0000000000..71ea8c0379
--- /dev/null
+++ b/TOOLS/appveyor-build.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/bash
+set -e
+
+export DEST_OS=win32
+export CC=gcc
+export PKG_CONFIG=/usr/bin/pkg-config
+export PERL=/usr/bin/perl
+export PYTHON=/usr/bin/python3
+
+"$PYTHON" bootstrap.py
+"$PYTHON" waf configure \
+ --check-c-compiler=gcc \
+ --disable-cdda \
+ --enable-egl-angle \
+ --enable-gpl3 \
+ --enable-jpeg \
+ --enable-lcms2 \
+ --enable-libarchive \
+ --enable-libass \
+ --enable-lua \
+ --enable-rubberband \
+ --enable-uchardet
+"$PYTHON" waf build